2010-09-08 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.6.9, SECURITY_PATCH=35

2010-08-28 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated devel to version 4.0b4
	* DEPENDS: Optional depends on yasm
	* BUILD: Add workaround to configure correctly for Webm video

2010-08-13 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated devel to version 4.0b3

2010-08-04 Florian Franzmann <siflfran@hawo.stw.uni-erlangen.de>
	* BUILD: forced optimizations to -O2 to prevent segfault

2010-07-27 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated devel to version 4.0b2

2010-07-25 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated devel to version 4.0b1
	* DEPENDS: Updated depends to build devel version
	* PRE_BUILD: Updated to use mozconfig4 to devel version
	* mozconfig4: Added to tweak 4.0 build options

2010-07-25 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: SECURITY_PATCH++.  Now 3.68 is listed as a security update.

2010-07-23 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.6.8

2010-07-20 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.6.7, SECURITY_PATCH=33
	* PRE_BUILD, 1000_fix_alignment.patch: removed patch

2010-07-03 Florian Franzmann <siflfran@hawo.stw.uni-erlangen.de>
	* PRE_BUILD, 1000_fix_alignment.patch: added patch to fix
	  crash on start
	* DETAILS: PATCHLEVEL++

2010-06-27 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.6.6

2010-06-23 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.6.4, SECURITY_PATCH=32

2010-04-03 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.6.3. SECURITY_PATCH++

2010-03-23 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.6.2, SECURITY_PATCH=30

2010-01-25 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD: add --disable-necko-wifi to .mozconfig, so configure works
	  without wireless_tools installed. necko-wifi is part of xulrunner
	  anyway.

2010-01-21 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.6

2010-01-06 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.5.7

2009-12-16 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.5.6

2009-11-05 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.5.5

2009-10-29 Bor Kraljič <pyrobor@ver.si>
	* DETAILS: updated spell to 3.5.4

2009-09-10 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.5.3, SECURITY_PATCH=29, -source.tar.bz2 -> .source.tar.bz2

2009-08-03 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.5.2, SECURITY_PATCH=28

2009-07-16 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.5.1. SECURITY_PATCH++

2009-06-30 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated devel and stable to 3.5
	* INSTALL: Removed hack for 3.5rc's
	* PRE_BUILD: Patch all versions. Use only one mozconfig file
	* firefox-xulrunner.patch: Updated for version 3.5
	* mozconfig3: Updated for version 3.5
	* mozconfig31: Removed, after updating mozconfig3

2009-06-29 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated devel to 3.5rc3

2009-06-16 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated devel to 3.5rc1
	* INSTALL: Hack due to install directory being unique
	  in rc.  Will fix after 3.5 is released.

2009-06-11 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated stable to 3.0.11. SECURITY_PATCH++

2009-06-09 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated devel to 3.5b99

2009-04-28 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated devel to version 3.5b4.
	* PRE_BUILD: Do not apply xulrunner patch to devel
	* moconfig31: Doesn't like system nspr/nss

2009-04-27 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated stable to version 3.0.10. SECURITY_PATCH++

2009-04-21 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated stable to version 3.0.9. SECURITY_PATCH++

2009-03-28 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: SECURITY_PATCH+=1, ok sandalle@

2009-03-27 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 3.0.8

2009-03-05 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 3.0.7. SECURITY_PATCH+=1
	  http://www.mozilla.org/security/known-vulnerabilities/firefox30.html#firefox3.0.7

2009-02-04 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated stable to 3.0.6. SECURITY_PATCH++
	  http://www.mozilla.org/security/known-vulnerabilities/firefox30.html#firefox3.0.6

2008-12-16 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated stable to version 3.0.5

2008-12-11 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated devel to version 3.1b2.

2008-11-16 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: SECURITY_PATCH+=1, according to 3.0.4's release notes

2008-11-15 George Sherwood <gsherwood@sourcemage.org>
	* PRE_BUILD: Remove test for nss version
	* DEPENDS: Added sub depends on nss branch 3.12.x
	* mozconfig3: Added option for system nspr/nss

2008-11-14 George Sherwood <gsherwood@sourcemage.org>
	* PRE_BUILD: Added option for system-nspr/nss if versions are 
	  good.
	* DEPENDS: If installed versions are correct depend nss/nspr
	  otherise use bundled versions
	* mozconfig3: Removed nss/nspr options add conditionaly
	  depending on installed versions.
	
2008-11-12 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 3.0.4
	* INSTALL: fixed linking with installed xulrunner plugins' path;
	  quoting paths

2008-10-14 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated devel to 3.1b1
	* PRE_BUILD: Updated cd since new directory is mozilla-central
	* BUILD: Allow directory mozilla-central and mozilla
	  Devel version use autoconf-2.13
	* INSTALL: Allow directory mozilla-central and mozilla
	* DEPENDS: Devel version requires autoconf-2.13 and won't
	  build against xulrunner since newer GECKO
	* mozconfig31: Added file for devel version to not use xulrunner

2008-10-11 George Sherwood <gsherwood@sourcemage.org>
	* mozconfig3: Changed to --with-system-nspr. Needs to match xulrunner

2008-10-08 George Sherwood <gsherwood@sourcemage.org>
	* CONFIGURE: Removed nullplugin query. Handled by xulrunner.
	* INSTALL: Create synlink to /usr/lib/xulrunner/plugins

2008-10-07 George Sherwood <gsherwood@sourcemage.org>
	* BUILD: Updated to not use configure.  All options set in
	  mozconfig3
	* DEPENDS: Cleaned up. Now depends on xulrunner
	* INSTALL: Use make install. Removed older workarounds
	* PRE_BUILD: Added patch 
	* PROVIDES: No longer provides GECKO.
	* firefox-xulrunner.patch: Added patch to skip copy of
	  xulrunner if using libxul. During build was using 4 gig of disk

2008-09-27 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 3.0.3

2008-09-24 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 3.0.2 (security, according to
	  http://www.mozilla.org/security/known-vulnerabilities/firefox30.html)

2008-07-16 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 3.0.1, fixed source urls, quoting paths!
	* BUILD, INSTALL: quoting paths!

2008-07-03 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on curl for crash reporter
	  Supposedly optional, but using --disable-crashreporter as instructed
	  still fails without curl with the same error

2008-06-21 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: don't do useless doc'ing, fixed desc, gtk+2 anyway

2008-06-17 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: Firefox 3.0, updated 2.0 branch too
	* INSTALL: added bashism, removed useless brackets and spaces
	* PRE_BUILD: removed useless patches cause we don't have 2.0 anymore,
	  SPELL > SCRIPT, `sed -i' > `sedit', cleaned up
	* DEPENDS: no 2.0 branch => no stupid depends, we _always_ need apng
	  support in libpng

2008-06-12 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated FIREFOX_CVS=y to 3.0rc3

2008-06-05 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated FIREFOX_CVS=y to 3.0rc2

2008-05-17 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated devel to 3.0rc1

2008-04-18 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.0.0.14
	  SECURITY_PATCH++
	  See http://www.mozilla.org/security/announce/2008/mfsa2008-20.html
	* INSTALL: firefox-config.patch now applied upstream
	* firefox-config.patch: Removed (now applied upstream)

2008-04-01 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated FIREFOX_CVS=y to 3.0b5, small clean up of "{"
	  and spaces

2008-03-29 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 2.0.0.13. SECURITY_PATCH++
	* PRE_BUILD: Removed gcc43.patch
	* gcc43.patch: Removed.  Incorporated in upstream update.
	* firefox-config.patch: Updated to 2.0.0.13

2008-03-22 Eric Sandall <sandalle@sourcemage.org>
	* PRE_BUILD: Apply gcc43.patch for non-CVS
	* gcc43.patch: Apply patch to compile with gcc 4.3.0
	  From https://bugzilla.mozilla.org/show_bug.cgi?id=416463

2008-03-11 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: Updated devel to version 3.0 beta 4

2008-02-13 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated devel to version 3.0 beta 3

2008-02-11 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS, PRE_BUILD, BUILD, INSTALL: Create unique SOURCE_DIRECTORY
	  Fixes Bug #7977

2008-02-08 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.0.0.12, SECURITY_PATCH=15
	  http://www.mozilla.org/projects/security/known-vulnerabilities.html#firefox2.0.0.12
	* firefox-config.patch: updated to 2.0.0.12

2007-12-20 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated devel to version 3.0 beta 2

2007-12-02 George Sherwood <george@beernabeer.com>
	* DEPENDS: Cleaned up. 3.0 beta cannot use system npsr, nss.
	  depends python. Cleaned up extra &&
	* PRE_BUILD: 3.0 doesn't need cairo-fixes or x-lib patches.
	* mozconfig3: Cannot use system npsr/nss. Canvas works.

2007-12-01 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to add devel version 3.0 beta 1
	* DEPENDS: Removed hardcoded options for depends.
	* PRE_BUILD: Removed cvs download code. Bug #13517
	* INSTALL: Need separte patches for firefox-config
	* PEPARE: Changed working for devel version
	* mozconfig3: Added since we need separate config options for 3.0

2007-12-01 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: SECURITY_PATCH++
	  updated spell to 2.0.0.11

2007-11-27 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to versoin 2.0.0.10. SECURITY_PATCH++
	  http://www.mozilla.org/projects/security/known-vulnerabilities.html#firefox2.0.0.10
	* firefox-config.patch: Updated to 2.0.0.10
	* PRE_BUILD: Removed patch
	* gdkpango.patch: Removed. Incorporated upstream.

2007-11-09 David Brown <dmlb2000@gmail.com>
	* PRE_BUILD: added new patch
	* gdkpango.patch: added to fix bug #14088

2007-11-02 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 2.0.0.9.
	* firefox-config.patch: Updated to 2.0.0.9

2007-10-21 Arwed v. Merkatz <v.merkatz@gmx.net>
	* INSTALL: fix up permissions after install so it runs as non-root

2007-10-19 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.0.0.8, SECURITY_PATCH=12
	  http://www.mozilla.org/projects/security/known-vulnerabilities.html#firefox2.0.0.8
	* firefox-config.patch: updated to 2.0.0.8

2007-09-24 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to used UPSTREAM_KEY again
	* firefox.gpg: Added new upstream key

2007-09-22 Ethan "eekee" Grammatikidis <eekee57@fastmail.fm>
	* firefox: removed obsolete xfeDoCommand code.

2007-09-19 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 2.0.0.7, SECURITY_PATCH=11
	  http://www.mozilla.org/projects/security/known-vulnerabilities.html#firefox2.0.0.7
	  New sig not part of firefox.gpg
	* PRE_BUILD: Added && after default_pre_build
	* firefox-config.patch: updated to 2.0.0.7

2007-09-15 David Brown <dmlb2000@gmail.com>
	* PRE_BUILD: added patch for newer cairo's
	* cairo-fixes.patch: added for missing cairo_font_type_t

2007-07-31 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.0.0.6, SECURITY_PATCH=10
	  http://www.mozilla.org/projects/security/known-vulnerabilities.html#firefox2.0.0.6
	* firefox-config.patch: updated to 2.0.0.6

2007-07-18 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.0.0.5, SECURITY_PATCH=9
	  http://www.mozilla.org/projects/security/known-vulnerabilities.html#firefox2.0.0.5
	* firefox-config.patch: updated to 2.0.0.5

2007-06-06 David Kowis <dkowis@shlrm.org>
	* PRE_BUILD, DEPENDS, visibility.patch: Don't need the visibility patch anymore for 
	  amd64 (probaby ppc)

2007-05-31 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.0.0.4, SECURITY_PATCH=8
	  http://www.mozilla.org/projects/security/known-vulnerabilities.html#firefox2.0.0.4
	* firefox-config.patch: updated to 2.0.0.4

2007-04-25 Thomas Orgis <sobukus@sourcemage.org>
	* PRE_BUILD, DEPENDS: apply the visibility patch for ppc, too, as
	  build fails strangely without (bogus unresolved syms in xpcom/obsolete)

2007-03-20 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 2.0.0.3
	* BUILD: Small cleanup of FIREFOX_HOME variable.
	* INSTALL: Updated sed to using $VERSION vice hardcoded version
	* firefox-config.patch: Updated for version 2.0.0.3.

2007-03-03 George Sherwood <george@beernabeer.com>
	* INSTALL: Added sedit to fix firefox-plugin.pc for nspr. Bug #13581

2007-02-25 George Sherwood <george@beernabeer.com>
	* INSTALL: Added patch for firefox-config to match how we install.
	* firefox-config.patch: Added patch to get paths correct.

2007-02-24 George Sherwood <george@beernabeer.com>
	* INSTALL: change fix for *.pc files from 2.0.0.1 to 2.0.0.2

2007-02-24 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: SECURITY_PATCH=7
	  http://www.mozilla.org/projects/security/known-vulnerabilities.html#firefox2.0.0.2

2007-02-23 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.0.0.2

2007-02-16 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Disable -ffast-math in flags as it breaks plugins
	  (they'll try to install, but never finish, much less run)

2007-02-15 Juuso Alasuutari <iuso@sourcemage.org>
	* DEPENDS: Removed GTK version conditional, only GTK+2 used now.

2007-02-06 David Kowis <dkowis@shlrm.org>
	* visibility.patch: solution to exploding firefox build on amd64
	* PRE_BUILD: added application of patch and regen of ./configure
	* DEPENDS: added dependency for autoconf-2.13 if amd64

2007-01-21 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 2.0.0.1
	* PREPARE: Removed choice for gtk. Only could test with gtk+2
	* CONFIGURE: Addeded query for official branding
	* PRE_BUILD: Added patch to build against monolithic X.
	  Added sedit for official branding
	  cp mozconfig file to $SOURCE_DIRECTORY
	  Removed various 1.5 patches
	* BUILD:  Removed most configure options.  Using mozconfig now.
	  Removed some nspr/nss hacks.
	  Removed hack for firefox libs. Installing now to /usr/lib/firefox
	* INSTALL: Moved trick for installing to /usr/lib/firefox. 
	  Added manual copying of files to /usr/lib/firefox
	  sedit *.pc files for correct installation directories
	  Don't run make install. 
	* x-lib.patch: Added patch for monolithic X.
	* firefox-1.1-uriloader.patch, firefox-1.1-visibility.patch,
	  embed-typeaheadfind-1.patch, firefox-init.patch, init-files,
	  firefox-nopangoxft.patch, mozilla-firefox-1.5-mork.patch,
	  security_manager_makefile.diff: Removed old patches    

2006-12-20 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.5.0.9, SECURITY_PATCH=6
	  http://www.mozilla.org/projects/security/known-vulnerabilities.html#Firefox

2006-11-15 Alexander Tsamutali <astsmtl@gmail.com>
	* PROVIDES: Added NS-PLUGIN-COMPATIBLE

2006-11-11 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 1.5.0.8.  Updated SECURITY_PATCH

2006-11-07 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DEPENDS: change suggest_depends to sub_depends_2 for #13244

2006-10-26 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* INSTALL: use TRACK_ROOT when linking #9163

2006-10-26 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* INSTALL: use TRACK_ROOT not INSTALL_ROOT when linking #9163

2006-10-24 David Brown <dmlb2000@gmail.com>
	* DETAILS: removed staged install flag

2006-10-06 Juuso Alasuutari <iuso@sourcemage.org>
	* firefox.sh: Removed bashism.

2006-09-21 Juuso Alasuutari <iuso@sourcemage.org>
	* PROVIDES: [automated] Fixed invalid entries.

2006-09-14 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.5.0.7

2006-08-13 Pieter Lenaerts <e-type@sourcemage.org>
	* staged_install off

2006-08-09 Juuso Alasuutari <iuso@sourcemage.org>
	* firefox: Removed bashisms, bug #12882.

2006-08-02 Flavien Bridault <vlaaad@sourcemage.org>
	* DETAILS: reset PATCHLEVEL 

2006-08-02 Flavien Bridault <vlaaad@sourcemage.org>
	* BUILD: Attempt to replace /usr/lib/firefox-$VERSION by /usr/lib/firefox
	  in pkgconfig files and firefox-config

2006-08-02 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.5.0.6

2006-07-27 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: SECURITY_PATCH=4
	  http://www.mozilla.org/projects/security/known-vulnerabilities.html

2006-07-26 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.5.0.5, removed UPDATED and BUILD_API

2006-07-07 David Kowis <dkowis@shlrm.org>
	* DEPENDS: made nss non-optional

2006-07-04 Matthew Clark <matthewclark@inlesserterms.net>
	* DEPENDS: Added optional dependency on new spell firefox-smglwiki

2006-06-01 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.5.0.4, SECURITY_PATCH=3
	  http://www.mozilla.org/security/announce/ [June 1, 2006]

2006-05-02 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.5.0.3, SECURITY_PATCH=2
	  http://www.mozilla.org/security/announce/2006/mfsa2006-30.html

2006-04-18 Juuso Alasuutari <iuso@sourcemage.org>
	* firefox: Added conditional to launch using aoss wrapper if 
	  $USE_AOSS_WRAPPER is set (by alsa-oss.sh profile.d script)

2006-04-15 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 1.5.0.2, set SECURITY_PATCH=1

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-03-04 Flavien Bridault <disk@sourcemage.org>
	* desktop/firefox.desktop: updated icon path

2006-02-11 Arwed v. Merkatz <v.merkatz@gmx.net>
	* INSTALL: make pkgconfig files use the mozilla-nspr.pc from nspr spell

2006-02-01 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 1.5.0.1
	* PRE_BUILD: Removed unnecessary patches mozilla-firefox-1.5-gtk.patch
	  and mozilla-firefox-1.5-history.patch
	* mozilla-firefox-1.5-gtk.patch, mozilla-firefox-1.5-history.patch:
	  Removed applied patches

2006-01-03 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS, firefox.gpg: added new key so the signature can actually
	  be verified. Only at UPSTREAM_KEY level as the key itself still
	  needs verification.
	* BUILD: added --enable-extensions=default,typeaheadfind to configure
	  options instead of the old sedit of .mozconfig as that option isn't
	  int .mozconfig anymore, added --enable-canvas
	* DEPENDS: added optional_depends on cairo for SVG rendering
	* CONFIGURE, INSTALL: added option to not install libnullplugin.so
	* BUILD, PREPARE: removed old SVG query, now handled by cairo
	* PRE_BUILD, freetype.patch, gcc4.patch, typeaheadfind.diff:
	  removed unused patches
	* DETAILS: set PATCHLEVEL=2

2005-12-31 Robin Cook <rcook@wyrms.net>
	* INSTALL: fix typos

2005-12-31 Robin Cook <rcook@wyrms.net>
	* INSTALL: fix incorrect pkgconfig files

2005-12-22 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_BUILD: added several missing '&&'

2005-12-13 Unet <unet@sourcemage.org>
	* DETAILS: Updated to 1.5.0
	* PRE_BUILD: Added patches

2005-11-08 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DEPENDS: fixed formatting so gtk2 firefox works again

2005-10-27 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Added dependency on atk, pango, and glib2
	  Cleaned up the formatting a bit

2005-09-22 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.0.7

2005-09-19 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to use vendor Mozilla GPG signatures (mozilla.gpg)
	* PRE_BUILD: Use unpack_file instead of unapck for SOURCE

2005-08-10 David Brown <dmlb2000@gmail.com>
	* firefox: modified so if you bind a button to the executable it will
	  open a new firefox window without giving you the profile manager
	  however you can still go to the cmdline and do `firefox -P <profile>`
	  and it will open a new firefox with that profile. Took some of emrys'
	  suggestions thanks
	* DETAILS: updated updated field

2005-07-28 Arjan Bouter <abouter@sourcemage.org>
	* desktop/firefox.desktop: added proper icon

2005-07-20 Jeremy Blosser <jblosser-smgl@firinn.org>
	* INSTALL: Create symlink from /usr/lib/libnssckbi.so if it exists to
	  $FIREFOX_HOME to get Root CA certs (bug 9208)

2005-07-20 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.0.6

2005-07-18 Sergey Lipnevich <sergey@sourcemage.org>
	* BUILD: added the patch but forgot to enable typeaheadfind extension :-).

2005-07-16 Sergey Lipnevich <sergey@sourcemage.org>
	* PRE_BUILD,typeaheadfind.diff: add "typeaheadfind" patch from bug 8872.

2005-07-14 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.0.5

2005-06-30 Arwed v. Merkatz <v.merkatz@gmx.net>
	* INSTALL, init-files: remove the files that get created by the
	  firefox-init patch so patching always succeeds, bug #8874

2005-06-02 Sergey Lipnevich <sergey@sourcemage.org>
	* BUILD: fix pkgconfig files for other spells;
	* DEPENDS: bring nspr back and make nss optional.

2005-05-18 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Removed nspr (added nspr's flags to nss) as nss depends on it

2005-05-14 Sergey Lipnevich <sergey@sourcemage.org>
	* gcc4.patch: use the patch from Debian bug 303716, also fixes AMD64 errors;
	* DEPENDS: add NSPR and NSS;
	* BUILD: adjust for out-of-tree NSPR and NSS;
	* security_manager_makefile.diff: don't attempt to build NSS.

2005-05-14 Arwed v. Merkatz <v.merkatz@gmx.net>
	* firefox-init.patch: updated to work with 1.0.4

2005-05-12 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_BUILD, gcc4.patch: fix compilation with gcc 4.0

2005-05-12 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 1.0.4.

2005-04-17 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 1.0.3
	* CONFLICTS: Removed

2005-04-16 George Sherwood <george@beernabeer.com>
	* CONFLICTS: added conflicts with firefox-bin

2005-04-07 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Removed MAKE_NJOBS=1
	* BUILD: Run make_single before make

2005-03-24 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.0.2

2005-03-19 Eric Sandall <sandalle@sourcemage.org>
	* FINAL: Problem is only for find in page

2005-03-18 Eric Sandall <sandalle@sourcemage.org>
	* FINAL: Add warning about firefox possibly not working and that you
	  should remove ~/.mozilla/firefox/<profile>/compreg.dat to fix it

2005-03-17 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated UPDATED so people get the find in page fix

2005-03-02 Eric Sandall <sandalle@sourcemage.org>
	* PREPARE: Remove /etc/sorcery/local/depends/firefox:VERSION=1.0PR if
	  needed to fix Bug #8081

2005-02-28 David Brown <dmlb2000@excite.com>
	* BUILD: added copy of mozconfig and remove --enable-extentions so find
	  find in page would work.

2005-02-28 Jeremy Blosser <jblosser-smgl@firinn.org>
	* firefox: Added "$@" to the end of the firefox-bin call so 'firefox
	  <args>' can work.

2005-02-23 David Brown <dmlb2000@excite.com>
	* DETAILS: updated 1.0.1

2005-02-21 David Brown <dmlb2000@excite.com>
	* DETAILS: fixed cvs part of firefox
	* BUILD: added --enable-application=browser for cvs spell

2005-01-31 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Removed persistent variable usage (Bug #8081)
	  Added check for FIREFOX_CVS and set VERSION and SOURCE accordingly
	* PREPARE: persistent_remove old persistent variables (Bug #8081)
	* PRE_BUILD: Forgot to set FIREFOX_TARBALL (thanks to Thomas Houssin)
	  Added MOZ_CO_PROJECT and fix MOZ_CO_MODULE for CVS (thanks to Thomas)

2005-01-06 Eric Sandall <sandalle@sourcemage.org>
	* INSTALL: Fixed the mozilla test argument (thanks Arwed)

2004-12-16 Eric Sandall <sandalle@sourcemage.org>
	* INSTALL: Thanks to johnny17, we need to create these directories
	  before doing Wolfgang's fix of `make install` before the symlinks,
	  otherwise `make install` creates both firefox and firefox-$VERSION,
	  which we then can't symlink to the other and then firefox installs
	  part in firefox and the rest to firefox-$VERSION, which makes
	  libmozjs.so not found. :)

2004-12-15 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on g++
	* INSTALL: A more correct approach to installing nss, thanks Wolfgang :)
	  http://www.at.linuxfromscratch.org/blfs/view/svn/xsoft/firefox.html

2004-12-14 Eric Sandall <sandalle@sourcemage.org>
	* INSTALL: Install before creating symlinks

2004-12-13 Eric Sandall <sandalle@sourcemage.org>
	* PRE_BUILD,BUILD: local can only be used in a function
	* INSTALL: [] doesn't like newlines before -a
	  local can only be used in a function
	  Don't even check for /usr/bin/mozilla if we don't want a symlink
	  created
	* firefox.sh: [] doesn't like newlines before -a

2004-12-10 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated UPDATED to garner more testers :)
	* firefox.sh: Don't setup MOZILLA_FIVE_HOME if mozilla is installed

2004-12-09 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Try to use ~/.firefox instead of ~/.mozilla
	* CONFIGURE: Prompt to create a mozilla -> firefox symlink
	* CONFLICTS: Removed, no longer conflicts with mozilla
	* INSTALL: Only create the mozilla -> firefox symlink if wanted and it
	  isn't a binary
	  Copy firefox script to set proper LD_LIBRARY_PATH
	  Don't symlink /usr/bin/firefox -> /usr/lib/firefox/firefox-bin
	  Use INSTALL_ROOT for profile.d
	* firefox-pkgconfig.diff: Removed
	* PRE_BUILD: Removed commented firefox-pkgconfig.diff and nsRegion.patch

2004-12-08 Eric Sandall <sandalle@sourcemage.org>
	* firefox no longer uses /usr/lib/mozilla for future compatibility
	  with mozilla and firefox peacefully coexisting
	* BUILD: Use FIREFOX_HOME set to /usr/lib/firefox
	* INSTALL: Removed `rm -rf` as some plugins (e.g. j2sdk) take a while to
	  rebuild.
	  Use FIREFOX_HOME set to /usr/lib/firefox instead of MOZILLA_HOME set
	  to /usr/lib/mozilla
	  Use spell_ok instead of spell_installed
	  Use VERSION instead of MOZILLA_VERSION
	  Removed duplicate /usr/lib/firefox-1.0 -> /usr/lib/firefox creation
	  Add /usr/lib/firefox to ld.so.conf, not /usr/lib/mozilla
	  /usr/bin/firefox now points to /usr/lib/firefox/firefox-bin
	* firefox.sh: Set MOZILLA_FIVE_HOME to /usr/lib/firefox, not
	  /usr/lib/mozilla
	  Removed TAB
	* HISTORY: Formatted to Guru Handbook

2004-12-07 Eric Sandall <sandalle@sourcemage.org>
	* INSTALL: Removed INSTALL_ROOT/usr/lib/{mozilla,firefox}*, thanks Paul
	  and Seth

2004-12-03 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Added MAKE_NJOBS=1.

2004-11-30 Eric Sandall <sandalle@sourcemage.org>
	* firefox-init.patch: This is a diff of what my /usr/lib/firefox-1.0
	  tree looked like before and after running firefox as root, so it
	  should be all we need.
	* firefox-init-0.9.tar.bz2: Removed.
	* INSTALL: Apply firefox-init.patch to MOZILLA_HOME.
	  I meant for /usr/lib/firefox to point to /usr/lib/firefox-$VERSION, so
	  that's now fixed.
	  Make MOZILLA_HOME, MOZILLA_VERSION, and FIREFOX_HOME local.
	  Set MOZILLA_VERSION to $VERSION.
	  Use FIREFOX_HOME instead of hard-coding /usr/lib/firefox.

2004-11-29 Eric Sandall <sandalle@sourcemage.org>
	* Prefixed SVG with FIREFOX_
	  Renamed FOO to FIREFOX_TARBALL and HEADCODE to FIREFOX_CVS
	* DETAILS: Set VERSION and SOURCE to use defaults and FIREFOX_VERSION
	  and FIREFOX_SOURCE when they're defined
	  SOURCE_URL now uses $VERSION
	  Updated MD5 for 1.0
	* PREPARE: SOURCE is now in subdirectory source/
	  Add FIREFOX_VERSION and FIREFOX_SOURCE as persistent and use in place
	  of VERSION and SOURCE
	  Moved SOURCE_URLs and MD5 to DETAILS, left SOURCE definition as it's
	  used
	* BUILD: Made MOZILLA_HOME, MOZ_PHOENIX, and MOZ_INTERNAL_LIBART_LGPL
	  local
	  Moved patching from BUILD to PRE_BUILD
	  Cleaned up formatting
	  FIREFOX_SVG uses config_query answer
	  Export MOZ_INTERNAL_LIBART_LGPL, MOZ_PHOENIX, CFLAGS, or CXXFLAGS
	  (fails if we don't export)
	* PRE_BUILD: Cleaned up formatting
	  Made FIREFOX_TARBALL local
	  FIREFOX_CVS uses config_query answer
	  Only the freetype.patch applies to 1.0 and now uses -p1
	* DEPENDS: Use if/else for checking $FIREFOX_GTK
	  Use --enable-xft instead of --disable-xft as that seems to work
	* freetype.patch: Updated to 1.0

2004-11-17 Seth Woolley <seth@tautology.org>
	* DETAILS,PREPARE: Updated VERSION to 1.0

2004-10-22 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Update UPDATED
	  Shortened SHORT
	* INSTALL: Create generic /usr/lib/firefox symlink

2004-10-13 Arjan Bouter <abouter@sourcemage.org>
	* added desktop files

2004-10-04 Arjan Bouter <abouter@sourcemage.org>
	* INSTALL: Added security patch for firefox bug 259708
	* DETAILS: updated UPDATED for the fix to trigger cast added patch as
	  SOURCE2

2004-09-30 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: firefox-pkgconfig.diff uses -p1, not -p0

2004-09-28 Robin Cook <rcook@wyrms.net>
	* PROVIDES: added GECKO for spells that can use either
	  mozilla or firefox for the gecko engine
	* BUILD: added patch firefox-pkgconfig.diff to fix the
	  pkgconfig files all requiring mozilla-* instead of firefox-*
	* DETAILS: updated UPDATED to for the pkgconfig file fix

2004-09-22 Arwed v. Merkatz <v.merkatz@gmx.net>
	* INSTALL: set MOZ_VERSION to 0.10 so it doesn't create 
	  /usr/lib/firefox-0.9.2
	* PROVIDES: don't provide MOZILLA-BROWSER since it doesn't

2004-09-18 Eric Sandall <sandalle@sourcemage.org>
	* INSTALL: Add root init system (no longer needs to be run as root
	  first) Bug #7114
	* firefox-0.9.init.tar.bz2: Added (Bug #7114)

2004-09-17 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 1.0PR
	* PREPARE: Updated to 1.0PR
	  SOURCE_URL uses 0.10 instead of VERSION

2004-08-04 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS, PREPARE: Updated to 0.9.3

2004-07-29 Eric Sandall <sandalle@sourcemage.org>
	* INSTALL: Install firefox.sh
	  Create a symlink from /usr/bin/mozilla to /usr/bin/firefox if
	  /usr/bin/mozilla does not exist or is a symlink
	* firefox.sh: profile.d script to set MOZILLA_FIVE_HOME

2004-07-18 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: ORBit renamed to orbit
	  libIDL renamed to libidl
	  Formatted to Guru Handbook
	* PROVIDES: No longer provides MOZILLA-NSS :(

2004-07-11 Eric Sandall <sandalle@sourcemage.org>
	* PREPARE: Missing update and md5sum

2004-07-11 Jose Bernardo Silva <jbernardo@sourcemage.org>
	* PREPARE,DETAILS: updated to 0.9.2
	* BUILD: --enable-single-profile added to the configure options,
	  so that make install won't fail
	* INSTALL: changed so it will install in /usr/lib/mozilla
	  (the link was being created between mozila-xx and mozila,
	  not firefox-xx and mozilla)

2004-07-04 Sergey Lipnevich <sergey@sourcemage.org>
	* BUILD, INSTALL: use API 2.

2004-07-01 Eric Sandall <sandalle@sourcemage.org>
	* PREPARE: Forgot to update the md5sum...

2004-06-29 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 0.9.1
	* PREPARE: Updated to 0.9.1
	  Changed SOURCE_URLs
	  SOURCE now uses $SPELL-$VERSION-source.tar.bz2
	* WIP: Compiles, but doesn't run
	* 0.9.1 (at least) needs freetype > 2.1.5 (2.1.9 worked fine here)

2004-06-28 Unet <audio@sourcemage.org>
	* BUILD: Added --enable-single-profile :p Corrected freetype.patch
	* WIP: Removed, should work now

2004-06-24 Jose Bernardo Silva <jbernardo@sourcemage.org>
	* BUILD: Close, but no cigar. Since "make install" fails, I tried a
	  "cp", but that also fails...

2004-06-24 Jose Bernardo Silva <jbernardo@sourcemage.org>
	* PREPARE: REALLY update to 0.9.0

2004-06-16 Jose Bernardo Silva <jbernardo@sourcemage.org>
	* DETAILS,PREPARE: update to 0.9.0
	* freetype.patch: updated
	* nsRegion.patch: removed
	* BUILD: removed nsRegion.patch, no longer applies
	* WIP: added, as it still won't cast

2004-05-24 Unet <audio@sourcemage.org>
	* freetype.patch: patch to allow build with freetype 2.1.8
	* nsRegion.patch: patch nsRegion.h (build is broken w/ gcc3.4)
	* BUILD: Changed accordingly

2004-05-23 Seth Woolley <seth@tautology.org>
	* BUILD: --enable-native-uconv removed for being broken.

2004-05-14 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on any provider of CVS (Bug #6396)

2004-02-11 hgg <hgreig@bigpond.net.au>
	* branch spell from Firebird, update to 0.8.0

2003-11-26 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Quick fix for gaim to work (and anything
	  else which may need the mozilla libs as such) by adding
	  /usr/lib/mozilla to /etc/ld.so.conf

2003-11-21 hgg <hgreig@bigpond.net.au>
	* PREPARE,PRE_BUILD,BUILD,DEPENDS: modify and cleanup for more automatic
	  version updates (and close bug #4576)
	* BUILD: add --enable-extensions and iconv
	* PROVIDES: add MOZILLA-BROWSER

2003-11-11 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS,PRE_BUILD,PREPARE: Added SOURCE2 to patch to 0.7.1

2003-11-04 hgg <hgreig@bigpond.net.au>
	* PREPARE: sedit version string to current version incase of cast -c not
	  cast -r or fresh install (damn I had this lying around for days)

2003-10-28 Eric Sandall <sandalle@sourcemage.org>
	* PROVIDES: Uppercase provides

2003-10-21 hgg <hgreig@bigpond.net.au>
	* BUILD,PROVIDES: remove /root/.mozconfig if found, 
	  manually copy nss headers so this spell can also provide MOZILLA-NSS
	  for gaim
	* PREPARE: touch $SOURCE_CACHE/$SOURCE if you already have a cvs bundle 
	  so you don't have to download 37MB of new sources

2003-10-18 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS, PREPARE: Updated to 0.7
	* HISTORY: Updated to Guru Handbook

2003-08-23 Eric Sandall <sandalle@sourcemage.org>
	* CONFLICTS: Conflicts with mozilla-nightly as well

2003-08-19 hgg <hgreig@bigpond.net.au>
	* PREPARE: Sort out the gtk/gtk2 depends and OPTS

2003-08-18 hgg <hgreig@bigpond.net.au>
	* DEPENDS, PREPARE: Added toolkit choosing to PREPARE
	  and modified DEPENDS accordingly

2003-08-14 hgg <hgreig@bigpond.net.au>
	* BUILD: Added MozillaFirebird -> mozilla symlink for evolution2
	  And giving credit where credit is due "THANKS DEMONLORD"

2003-08-13 hgg <hgreig@bigpond.net.au>
	* BUILD: First Woops-a-daisy didn't change the mozilla links.
	  This spell uses gtk+2 /xft and caches the cvs updates and 
	  doesn't install that annoying /root/.mozconfig file!
	* a new version of an old spell!
	  (Merged other peoples work)
